[Home](../README.md)

# 1a Best Practice

Selected examples: naming and structure.

Key Takeaway: **Stick to standards, your code stays maintainable!**

Overview:

* (0) First, find and discuss the selected problems in folder [0_detect](./0_detect/).

* (1) Then, try to repair code given in folder [1_improve](./1_improve).

* (2) Finally, check out possible solutions as shown in folder [2_solution](./2_solution/)

	Coding for **HUMANS** (not machines) means making readability and maintainability your top priority. Beautiful code is better. 
	
### Links

* Coding style guides for Python: [PEP 8](https://pep8.org)



## Learnings:

* File name = documentation
* Give demo of how to startup, e.g. with a startup.sh script
* Add README.md to explain what is it about and how to start
* Variables **AND** documentation in source code in English

## Outlook / further improvements: 

* Put code into Git-Repo
	* Add README.md  with links and screenshots 
	* Specify in `.ignore` which files are private to you
* Larger projects
	* If project grows, then add a Python test suite for autmated testing