[Home](../README.md)

# 1b Usability-Example: Web Crawling Script

Key Takeaway: **Even on the command line Usability counts!**


Overview:

* (0) First, find and discuss the selected problems in folder [0_detect](./0_detect/).

* (1) Then, try to repair code given in folder [1_improve](./1_improve).

* (2) Finally, check out possible solutions as shown in folder [2_solution](./2_solution/)


## Learnings:

It must be easy to find out:

* What is the program good for?
* How to startup?
* Which parameters are necessary?
* In which state is the program? What is going on?
* Have we been successful, or did we get an error?
* Is the programme flexible? Can we customise with user-provided information?


## Outlook / further improvements: 

* Performance
	* Concurrency!
	* Ignore already downloaded files.
* Flexibility: 
	* Advanced settings (more command line parameters, default values).
	* Sort to allow downloading in given order. 
	* Allow to configure via configuration file.
* Information:
	* Statistics about number of successful downloaded files.
	* Logging the errors.
* Defensive coding
	* Do not overwrite data. 
	* Better backup existing data first. 