# Get some data

Note: authentication required!


To run the demo:

* create demo data

	```bash
	# simulate server with data:
	mkdir -p demodata
	echo "Consider this info private and it should only be retrieved with server-authentication." > demodata/secure.txt
	```

* run a minimal (fake) server

 
	```bash
	python3 -m http.server  -d demodata 8080
	```

* Optionally, try to get data from the minimal Python server:

	```bash
	curl 'htttp://127.0.0.1:8080/secure.txt?pwd=SuperSecurePwd'
	```

	This should return:
	
	> TODO. Consider this info private and it should only be retrieved with server-authentication.
	
	
* Run the Python script

	```bash
	./script.py
	```
	
	> Downloading 'secure.txt' from 127.0.0.1:8080 for user admin...
 We got response from server: 'Consider this info private and it should only be retrieved with server-authentication.'