[Home](../README.md)

# 1c Hardcoded Information


Key Takeaway: **Never hardcode (sensitive) information!**


Overview:

* (0) First, find and discuss the selected problems in folder [0_detect](./0_detect/).


	Who might get access to your credentials, if you are saving username and password for logging in the source code of your scripts?

	Is it a great idea to store the IP address and the port within your scripts, or would there be other possibilities?
	
	I got an token (api key) from Open Street Map - where should I put this file?

* (1) Then, try to repair code given in folder [1_improve](./1_improve).

* (2) Finally, check out possible solutions as shown in folder [2_solution](./2_solution/)

	Ways to get information from command line arguments, from environment variables, from coinfiguration files or from given default values.
	
	Advanced feedback and shorter code when using the `arg-parse` library. 



## Learnings:

* **Never hard code** senstive information into source code.


## Outlook / further improvements: 

* If further security is required, *one-time tokens*, *multi-factor* authentication, *ssh keys*, and other measures could be considered.
* In some circumstances, code can be *obfuscated* or even *encrypted*.