# What is the script about?
# => reading and executing calculations

# Is it correct?
# => hardcoded filename
# => no 'close'
#    => better: use 'with'
# => allow user to specify filename
#    => don't forget to check for errors
#    => e.g.: does file exist?
file = open('data.txt')
data = file.readlines()

# Can we trust the data we read?
# => NEVER trust data that comes from another person
# Is 'exec' a good idea to use?
# => 'exec' will execute everything it gets provided
# => very insecure and error prone
# => avoid executing text as code
#    => use at least 'eval' instead of 'exec'
#    => BETTER: parsing, validating, operations on data, not data as operation!
sum = 0
for line in data:
    exec(f"sum+={line.strip()}")

print(sum)
