#!/usr/bin/env python3
import http.client
import getpass
import config
from config import server_ip, resource, port

username = input("please enter the username: ")
password = getpass.getpass("please enter a password: ")

"""
print(
    f"Downloading '{resource}' from {config.server_ip}:{config.port} for user {username}/{password}..."
)
"""
conn = http.client.HTTPConnection(config.server_ip, config.port)
conn.request("GET", f"/{config.resource}?user={username}&pwd={password}")

# http://127.0.0.1:8080/secure.txt?user=admin&pwd=secure

res = conn.getresponse()
if res.status == 200:
    msg = res.read().decode("utf-8").strip()
    print(f" We got response from server: '{ msg }'")
else:
    print("ERR. Check if the url is available on the server.")
