#!/bin/bash
echo "Setting up Python virtual environment to later install libraries/packages..."
python3 -m venv .venv
echo " * Activating the virtual environment (deactivate with 'deactivate')..."
source .venv/bin/activate
echo " * Installing all libraries listed in 'requirements.txt' file into virtual environment..."
pip install -r ./requirements.txt


echo " * Starting up your Python programme now..."
python crawler.py


# on Linux:
# chmod +x *.py
# ./crawler.py