#!/usr/bin/env python3

# Automated Testing with Unit Tests

# We modified the source code
# to make the functions easier testable

# just RETURN a result
def pretty_format(msg, indent=3):
    return f"{' ' * indent}{msg}"


# printing to console would be much more difficult to test
def pretty_output(msg, indent=3):
    res = pretty_format(msg, indent)
    print(res)


if __name__ == "__main__":
    pretty_output("This is visible only if the script is run directly.")
