# Simple (Web)-Server

Sometimes, you need a "quick" webserver to test your program or _simple_ share some data.

As you already seen in this workshop, with python you can create a webserver on your own. But there is a much easier way to do so

```consol
python -m http.server .
```

You can simple start a listening server to provide some files on your (local) network or much better to fast test some http-client.

When you don't have access to python, many other languages also provide such [simple one-line webserver](https://gist.github.com/willurd/5720255).

> From a security perspective, such "server" should only be used for local tests. Do not use something in any form of production! There are no security features available out of the box!

---

But also when you need some more functionality - as well security, you can use python, for example with the [flask](https://flask.palletsprojects.com/en/3.0.x/) project.

In [2_solution](../2_solution/) you can find a _simplified_ example of how such webserver could look like, including some _basic_ security implementations.
