from flask import Flask, request
import hashlib
import re
import os


# The Image API server
img_api = Flask(__name__)

print(f"Using environmental configuration:")
# TODO improve by storing hash only (not plain password)
img_api.config.from_prefixed_env()
admin_pwd = ""  # check out: img_api.config["IMGAPI"][""???""]
user_token = "" # check out: img_api.config["IMGAPI"]["token"]


@img_api.route('/')
def welcome():
    # put application's code here
    return  """
            This is a web service endpoint. Try to fetch data with curl. For example: 'curl http://127.0.0.1:5000/static/info.json'
            """

def auth():
    # improve with checking for token
    username = request.form.get('username')
    password = request.form.get('password')
    if username and password:
        if username == 'admin' and password) == admin_pwd:
            return True
    return False

@img_api.route('/store', methods=['POST'])
def add_image():
    if not auth():
        return "SORRY, you are not allowed to use this web service endpoint.", 403

    print(f"DBG: HEADERS:: '{request.headers}'")
    print(f"DBG: REQ: '{request.values}'")

    image_name = request.form.get('imagename', "dummy")
    image_format = request.form.get('imageformat', "png")

    # improve by input validation (e.g. blacklisting)

    print(
        f"DBG: SUCCESS, We store a new file with name '{image_name}.{image_format}'...")

    return f"""SUCCESS -> got '{image_name}.{image_format}'.\n"""

# improve by removing dangerous code
@img_api.route('/calc', methods=['POST', 'GET'])
def calculate():
    print(f"DBG: '{request.args}'")
    statement = request.args.get('equation', "0+0+0")
    print(f"DBG: we evaluate the given statement '{statement}': ")
    res = str(eval(statement))
    print(f"DBG: we evaluate the given statement '{statement}': '{res}'.")
    return res + "\n"


if __name__ == '__main__':
    img_api.run()
