#!/usr/bin/env python3

# idea
# search for suiting library
# e.g. ...

# BECAUSE:
#
# we do not like:
#   working with csv-compatible strings (here: "1,2")
#       instead of floating point number (here: 1.2)
#   performing precalculations (here: fixed values for sum)
data = [
    ["Apfel", "1,2", "10","12,0"],   # Row 1
    ["Birne", "1,4", "15","21,0"],   # Row 2
    ["Kirsche", "2,5","7","14,5"],  # Row 3
]

# we do not like
#    creating custom (unflexible?) logic to output data
with open("umsatz.csv","w", encoding="utf-8") as f:

    for row_elements in data:
        f.write(';'.join(row_elements)+"\n")
