#! /usr/bin/env python3
import argparse

parser=argparse.ArgumentParser(
    description='''CLI Image Downloader ''',
    epilog="""Created by K. W.""")
parser.add_argument("-f", 
    required=True,
    nargs='+',
    metavar="<filename>",
    type=str, 
    help='files with image URLs to download')
parser.add_argument("-o", "--dir", 
    metavar="<outdir>",
    default="./tmp", 
    help='the image output folder (default is \'./tmp\')')
args=parser.parse_args()

print(f"Loading urls from files '{args.f}' into '{args.dir}'.")