import http.client
import json

server_ip = "127.0.0.1"
port = 8080
resource = "login"
username = "admin"
password = "secure"

headers = {
    "Content-Type": "application/json"
}

data = {
    "username": username,
    "password": password
}
json_data = json.dumps(data)

conn = http.client.HTTPConnection(server_ip, port)

conn.request(
    "POST",
    f"/{resource}",
    body=json_data,
    headers=headers,
)

res = conn.getresponse()
if res.status == 200:
    msg = res.read().decode("utf-8").strip()
    print(f" We got response from server: '{ msg }'")
else:
    print("ERR. Check if the url is available on the server.")
