#import "../style/template.typ": *

#let webservices( selected_lang: "en" ) = {
  if selected_lang == "en" [

  == Consuming Web Services

  - Solution A Using

  - Solution B Using


  ]else[

  == Web Services Nutzen



  #section_summary([
    Viele Services/Server bieten ein *JSON Rest API* an,
    um Daten automatisiert erstellen oder abrufen zu können.
  ])

  #markup([Problem], [
    Automatische, wiederholte Auswertung von Daten oder wiederholte manuelle Erstellung
    von Git Issues über das Web Interface benötigt viele Klicks und könnte mühsam sein.
  ])

  Folgender Abschnitt zeigt beispielhaft die Verwendung von ReST Web Services anhand von GitLab
  #footnote([GitLab API Dokumentation: #link("https://docs.gitlab.com/ee/api/rest/",[https://docs.gitlab.com/ee/api/rest/]).]).  Bei _GitLab_ muss über das Web Interface ein API Token erstellt werden.
  Mit Hilfe dieses Tokens kann eine Anmeldung stattfinden und nur dann können auch
  Daten von privaten Projekten abgerufen werden.
  Hier ausgewählte Beispiele der GitLab API Nutzung.

  - Aufruf _public_ verfügbarer Information. Hier mit `curl`.

    #bash("3b/gitlab_curl.sh") // curl "https://mode.fh-joanneum.at/api/v4/projects?search=example"

  - *IDs der Projekte* mittels Python Skript abrufen.

    #pysrc_with_ok("3b/get_projects-snippet.py", title: "request_project_id.py", start_with_number: 7)

  - Mittels Python Skript ein *Issue erstellen*, für ein konkretes Projekt. Die unique ID muss dazu bekannt sein.


    #pysrc_with_ok("3b/create_issue-snippet.py",title: "create_issue.py", start_with_number: 7)
]

}
