[HOME](../README.md)


# (1) Python Intro - Read Code

## Edit, compile and open Typical Python Demo Code (PDF)

* Edit file [`handout-script.typ`](./handout-script.typ)
* Edit file [`handout-oop.typ`](./handout-oop.typ)

* Auto-create **handout-script.pdf** and **handout-oop.pdf** on every change:

```bash
typst watch handout-script.typ
typst watch handout-oop.typ
```

* Finally, open `handout-script.pdf` and `handout-oop.pdf`.

## Analyse typical Python source code:

Analyse the demo code shown on the PDFs. (a) Source code of a simple script and (b) of an object-oriented Python programme.

* What is clear, easy and expected?

* What is unclear, hard to understand and unexpected?

# (2) Python Crash Course Slides

Check out the **Polylux** Slide package for `typst`: <https://andreaskroepelin.github.io/polylux/book/polylux.html> on [git](https://github.com/andreasKroepelin/polylux/)

## Edit, compile and open slides (PDF)

* Edit file `slides.typ`

* Auto-create slides.pdf on every change:

```bash
typst watch slides.typ
```

* Open `slides.pdf`

## Links

Check out the community packages at: <https://github.com/typst/packages>
