# Random Selection

## Idea

Return a **random word** from a list of words given on the command line as argument.

## Examples

* Simple: select a name

```shell
./random-select.py Max Mia Moritz Monica
```

> Random selection from given entries '['Max', 'Mia', 'Moritz', 'Monica']': Monica.

* Advanced: pipe many image-names to select one at random


```shell
./random-select.py $(ls images)
```

> Random selection from given entries '['grin.png', 'smiling.png', 'smirking.png']': grin.png.

For Windows see [startup.ps1](./startup.ps1), for Linux/Mac see [startup.sh](./startup.sh).

## Code

[random-select.py](./random-select.py)
