#!/usr/bin/env python3
import http.client

# Do NOT store data hard coded in a script
# try to read from command line
server_ip = "127.0.0.1"
port = 8080
resource="secure.txt"
username = "admin"
# Optionally, provide default values

# Do NOT store data hard coded in a script
# Possibly, ask user interactively
password = "secure"


# Do not output sensitive information 
print(f"Downloading '{resource}' from {server_ip}:{port} for user {username}/{password}...")

conn = http.client.HTTPConnection(
    server_ip, 
    port)

# Better use POST (instead of GET) requests
conn.request(
    "GET",
    f"/{resource}?user={username}&pwd={password}")

res = conn.getresponse()
if res.status == 200:
    msg = res.read().decode("utf-8").strip()
    print(f" We got response from server: '{ msg }'")
else:
    print("ERR. Check if the url is available on the server.")