#!/usr/bin/env python3
import sys
from pathlib import Path


if len(sys.argv) < 2:
    sys.exit(f"Usage: {sys.argv[0]} filename")

filename = Path(sys.argv[1])

if not filename.is_file():
    sys.exit(f"provided file '{filename}' does not exist!")

with open(filename) as file:
    data = file.readlines()


bad_character = [';', '&', '|']

sum = 0
for line in data:
    stripped_line = line.strip()
    for char in bad_character:
        if char in stripped_line:
            sys.exit(f"invalid sequence in data")
    sum += eval(stripped_line)

print(sum)
