[Home](../README.md)

# 1d Input Validation Example: Untrusted Data

Key Takeaway(s):

* **Never trust external data**!
* **NEVER use `exec`**
* **Avoid usage of `eval`**

Overview:

* (0) First, find and discuss the selected problems in folder [0_detect](./0_detect/).
* (1) Then, try to repair code given in folder [1_improve](./1_improve/).
* (2) Finally, check out possible solutions as shown in folder [2_solution](./2_solution/).

## Learnings

* Using `exec` is never a good idea.
  * `eval` is better, but can also cause (security) problems.
* Validate data before you operate on it. E.g. use
  * blacklisting
  * whitelisting
* There is no 100% security.
