from openpyxl import Workbook

wb = Workbook()
ws = wb.active
ws.title = "Umsatz"

data = [
#      A       B    C  D
    ["Apfel", 1.2, 10],  # 1
    ["Birne", 1.4, 15],  # 2
    ["Kirsche", 2.5, 7], # 3
]


for idx, row in enumerate(data, 1):
    row.append(f"=B{idx}*C{idx}")
    ws.append(row)

ws["D4"] = "=SUM(D1:D3)"

wb.save("umsatz.xlsx")

# with open("data.csv", "w") as f:
#     for line in data:
#         f.write(f"{line[0]},{line[1]},{line[2]}\n")
