#!/usr/bin/env python3
import sys
import requests
from bs4 import BeautifulSoup
cities=["Graz"]
if len(sys.argv) > 1 :
  cities=sys.argv[1:]

for city in cities:
  print(f"Changelog for Wikipedia entry of {city}")

  URL = f"https://en.wikipedia.org/w/index.php?title={city}&action=history"
  page = requests.get(URL)
  soup = BeautifulSoup(page.content, "html.parser")

  change_timestamps = [e.text for e in soup.find_all(class_="mw-index-pager-list-header")]
  print(f"\t{city}:", ", ".join(change_timestamps[:3]))


