import unittest
from solution import pretty_format

class TestPrettyPrintFunctions(unittest.TestCase):

    def test_normal_params(self):
        should = "  Hi"
        result = pretty_format("Hi",indent=2)
        self.assertEqual(result, should)
                
    def test_edge_case_negative_indent(self):
        should = "Hi"
        result = pretty_format("Hi",indent=-2)
        self.assertEqual(result, should)


if __name__ == "__main__":
    unittest.main()
