[Home](../README.md)

# 2d Structure Your Projects


Key Takeaway: **Large software projects need thorough planning and design. Consider software engineering (SWE) with object oriented programming (OOP).**


Overview:

* (0) First, find and discuss the selected problems in folder [0_detect](./0_detect/).

* (1) Then, try to repair code given in folder [1_improve](./1_improve).

* (2) Finally, check out possible solutions as shown in folder [2_solution](./2_solution/)


## Learnings:

* Design classes by thinking of how you would like them to 'behave'.

* Package into features and/or layers.

* Use a clear, easy, single entry point.

## Outlook / further improvements: 

* Larger projects need **automated testing**.
* Test-driven development enforces to think about the **API first**.