import http.client
from base64 import b64encode

server_ip = "127.0.0.1"
port = 8080
resource = "secure"
username = "admin"
password = "secure"

user_pass = f"{username}:{password}".encode('utf8')
basic = b64encode(user_pass).decode('utf8')

headers = {
    "Authorization": f"Basic {basic}"
}

conn = http.client.HTTPConnection(server_ip, port)

conn.request(
    "GET",
    f"/{resource}",
    headers=headers
)

print(f"http://{server_ip}:{port}/{resource}")


res = conn.getresponse()
if res.status == 200:
    msg = res.read().decode("utf-8").strip()
    print(f" We got response from server: '{ msg }'")
else:
    print("ERR. Check if the url is available on the server.")
