#!/usr/bin/env python3
"""
Script to fetch information about existing projects
in GitLab.
Works with empty TOKEN or personal TOKEN
  empty TOKEN => only public projects will be returned
  valid TOKEN => also personal projects will be returned

allows you to search for specific projects when adding search
string on execute, e.g.:
  python3 get_projects.py "What I'm looking for"
"""

import urllib.request
import json
import sys
import os


TOKEN = "373"# optional: read from environment, command line args, ...

search = '*'

# https://docs.gitlab.com/ee/api/projects.html#list-all-projects
api_endpoint = f'https://mode.fh-joanneum.at/api/v4/projects/?search={search}'

# https://docs.gitlab.com/ee/api/rest/#authentication
headers = { }

request = urllib.request.Request(api_endpoint, headers=headers)

response_data = response.read()

print(response_data) 