#!/bin/bash

# Requirements: startup Flask server "imgapi" first (on port 5000)
# Here,
#   we expect you started the server with a permanet token
#   'THE_TOO_SIMPLE_PERMANENT_API_TOKEN'

echo "***"
echo "* Simple demo calls with curl using a token"
echo "***"

echo ""
echo "***"
echo "* Requesting ReSTful API via POST: /store (sending header info and passing imagename and imageformat)"
echo "***"
curl -H "Authorization: Bearer THE_TOO_SIMPLE_PERMANENT_API_TOKEN" http://127.0.0.1:5000/store --data "imagename=sunset&imageformat=png"
