# Script for Windows PowerShell!
# When using git-bash, checkout setup.sh

python -m venv .venv --prompt=pyexcel

$ACTIVATE = ""

if (Test-Path ".venv\Scripts\Activate.ps1") {
    .\.venv\Scripts\Activate.ps1
    $ACTIVATE = ".\.venv\Scripts\Activate.ps1"
} else {
  Write-Output "Could not activate Python venv!"
  Write-Output "please checkout if Python is correctly installed!"
  exit 1
}

pip install --upgrade pip
pip install -r requirements.txt

Write-Output "----- SETUP FINISHED -----"
Write-Output ""
Write-Output "Use '$ACTIVATE' on future sessions to re-activate the venv"
