#!/usr/bin/env python3 
import sys
fn="winemagazine.csv"
if len(sys.argv)>1:
    fn=sys.argv[1]


wine = {}

with open(fn) as f:
    headers = f.readline().strip().split(",")
    while True:
        line = f.readline()
        if line == "":
            break
        elements = line.strip().split(",")
        print(elements)
        print(list(enumerate(elements)))
        for idx,element in enumerate(elements):
            col=headers[idx]
            curr_values=wine.get(col, [])
            # print(f"DBG: COL {col}: {curr_values}")
            wine[col] = curr_values + [ element  ]
        print(wine)
print(f"* We parsed csv file and got wine: '{wine}'.")


print("X Data information and cleansing... not implemented yet")
print(f"* We got wine from contries: '{wine['country']}'")


print("X Data crunching... not implemented yet")
number_of_elements=len( wine['no'])
price_sum = 0.0
for price_str in wine['price']:
    if len(price_str) >0:
        price_sum += float(price_str)
print(f"* {number_of_elements} lines of info with sum of price: '{price_sum}' Euro.")
average_price = price_sum/number_of_elements
print(f"* We got average price for the wine: '{average_price}' Euro")


print("X Data img-output... not implemented yet")


print("Now copy the output to Excel and create a graph...")
