#!/bin/bash
echo "Starting up environment for Juypter"

echo " * Activating the virtual environment (deactivate with 'deactivate')..."
python3 -m venv .venv
source .venv/bin/activate
pip install -r ./requirements.txt

echo " * Starting the python data processing and visualisation pipeline..."
chmod +x *.py
./visualise.py winemagazine-short.csv
echo " * Find the output as *.png"