# Secure Coding Handout


Generate explanations and documentation which can be used as handouts.


## Edit, compile, and open pdf

* Edit file `secure-coding.typ`


* Auto-create slides.pdf on every change:

```bash
typst watch secure-coding.typ
```

* Open `secure-coding.pdf`



## Optionally, use VS Code to edit/view

Download

* [VS Code](https://code.visualstudio.com/download).

Install extensions

* [Typst LSP](https://marketplace.visualstudio.com/items?itemName=nvarner.typst-lsp)
* [Typst Preview](https://marketplace.visualstudio.com/items?itemName=mgt19937.typst-preview)


