    calc_match = re.match(
        r"""            # For patterns we use Python "raw" strings with r""
        ^               # From the beginning of the line
            (           # first match group = LEFT number
             \d+        #   one or more digits (i.e. an arbitrary number)
            )
        \s*             # zero or more whitespaces (ie. optional)
            (           # second match group = math OPERATOR
            [\*\-\+]    #   one of '*' or '-' or '+' (i.e. operators)
                        #   Note: we escaped special chars like * with \*
            )
        \s*             # zero or more whitespaces (ie. optional)
            (           # third match group = RIGHT number
             \d+        #   one or more digits (i.e. an arbitrary number)
            )
        $               # To end of line
        """,
        user_input,  # e.g.: "0 *33"
        re.VERBOSE,  # all whitespaces and comments are ignored
    )
