api_endpoint = f'https://mode.fh-joanneum.at/api/v4/projects/?search={search}'
headers = { 'Authorization': f'Bearer {TOKEN}' }
request = urllib.request.Request(api_endpoint, headers=headers)
with urllib.request.urlopen(request) as response:
    response_data = response.read().decode('utf8')
    json_data = json.loads(response_data)
    print(json.dumps(
        [  {'id': j['id'], 'name': j['name'], 'description': j['description']} 
           for j in json_data  ], 
        indent=2))
