from openpyxl import Workbook
wb = Workbook()

ws = wb.active
ws.title = "Umsatz"

ws.append(
  ["Produkt", "€", "Anz.", "Ges.:"])
d =  [
  ["Apfel",   1.2,  10 ],
  ["Birne",   1.4,  15 ],
  ["Kirsche", 2.5,   7 ]]

for idx, row in enumerate(d, start=2):
  # append => column D e.g. '=B2*C2'
  row.append(f"=B{idx}*C{idx}")
  # append current row to worksheet
  ws.append(row)

ws["D5"] = "=SUM(D2:D4)"
wb.save("umsatz.xlsx")
