#import "../style/template.typ": *

#let interactive-explore( selected_lang: "en" ) = {
  if selected_lang == "en" [

  === Interactive Data Exploration with Jupyter Notebooks

  - Solution A:


  ]else[

  === Interaktive Datenexploration


  #section_summary([
    *Interaktive* Jupyter Notebooks#footnote([
      Jupyter Notebooks: #link("https://jupyter.org",[https://jupyter.org]). Auch die Installation von JupyterLab ist da zu finden.
    ]
    ) ermöglichen es jederzeit Zwischenstände zu speichern
    und erleichtern das *Experimentieren*. Zum Beispiel wenn für eine Optimierung unterschiedlichste Parameter durchgetestet werden.
  ])

  #markup([Problem], [
    Große Mengen an Daten sind oft schwer zu verstehen und zu interpretieren.
  ])

  In Jupyter Notebooks kann man interaktiv die Daten bearbeiten und visualisieren. Dabei bleibt der letzte Zustand intern gespeichert und eine Session kann später jederzeit wieder aufgenommen werden.

  - *Schritt A Jupyter Notebooks*: Es kann eine lokale Installation vorgenommen werden oder Jupyter Notebooks können über das Web-Interface verwenden werden.  Auch VS Code bietet Unterstützung für Jupyter Notebooks#footnote([Jupyter Notebooks in VS Code#link("https://code.visualstudio.com/docs/datascience/jupyter-notebooks")]).

  - *Schritt B Blockweises Ausführen von Code*: Python Source Code wird in kleinere Blöcke gruppiert und bei Bedarf auch mit nützlichen Kommentaren im Markdown Format versehen.

    #table(
      columns: (45%,55%),
      inset: 0pt, column-gutter: 0.8cm, stroke: none,
      align: horizon,
      [
        #pysrc_with_ok("3e/jupyter-code-1-import-snippet.py")
        #pysrc_with_ok("3e/jupyter-code-2-read.py")
        #pysrc_with_ok("3e/jupyter-code-3-inspect.py")
        Tipp: Wichtige Tastenkürzel einlernen: Zum Beispiel `CTRL-RETURN` zum Ausführen des aktuellen Blocks.
      ],
      box( stroke: 0pt + gray,
        image("../images/jupyterhub.png", fit: "contain", width: 95%))
    )







  #v(0.5cm)

  *Weitere Empfehlungen:*

  - Export des Notebooks als Python Skript, um es wiederholt und automatisiert ablaufen zu lassen.

  ]
}
