#let cheatsheet( selected_lang: "en" ) = {
  if selected_lang == "en" [

  == Python Cheat Sheet


  ]else[

  == Cheat Sheets

  #v(0.2cm)
  Cheatsheets sind nützlich, um auf ein oder zwei Seiten die Basics der Programmiersprache immer bereit zu haben. Das geht oft schneller als eine Internet-Suche zu starten.


  - Alt aber gut ist folgendes *Python3* "Schwindelzettel" #link("https://perso.limsi.fr/pointal/_media/python:cours:mementopython3-german.pdf").

  - Für die *Datenvisualisierung*:

      - Große Datenmengen importieren und verarbeiten mit *Numpy*, _DataFrames_ mit *Pandas*:

        #link("https://s3.amazonaws.com/dq-blog-files/numpy-cheat-sheet.pdf") by Dataquest 2017
        #link("https://pandas.pydata.org/Pandas_Cheat_Sheet.pdf") by Pandas.org

        #link("https://images.datacamp.com/image/upload/v1676302204/Marketing/Blog/Pandas_Cheat_Sheet.pdf") by DataCamp

      - Daten einfach visualisieren mit *Seaborn* oder *Matplotlib*:

        #link("https://images.datacamp.com/image/upload/v1676302629/Marketing/Blog/Seaborn_Cheat_Sheet.pdf") by DataCamp

        #link("https://matplotlib.org/cheatsheets/") by DataCamp

      - Aufwändige und wirklich schöne Plots mit *ggplot2*:

        #link("https://ggplot2.tidyverse.org") by TidyVerse.org bzw. auf #link("https://github.com/rstudio/cheatsheets/blob/main/data-visualization.pdf")[GitHub].

  ]
}
